### Method

# GObject Value set_string_take_ownership

deprecated: 2.4

#### Declaration [src]

    void
    g_value_set_string_take_ownership (
      GValue* value,
      gchar* v_string
    )

#### Description [src]

This is an internal function introduced mainly for C marshallers.

Deprecated since: 2.4

Use `g_value_take_string()` instead.

#### Parameters

`v_string`

  Type: `gchar*`

  Duplicated unowned string to be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.